def is_russian_wording(text):
    """
    Check if the text contains any Russian characters by checking 
    each character against the Unicode range for Cyrillic.
    """
    # Check if any character in the text is a Cyrillic character
    for char in text:
        if '\u0400' <= char <= '\u04FF':  # Unicode range for Cyrillic characters
            return True
    return False

def normalize(text):
    """
    Normalize English text to resemble Russian characters.
    """
    if is_russian_wording(text):
        # Normalize the text by replacing characters
        text = (text.lower()
                    .replace('e', 'е')
                    .replace('o', 'о')
                    .replace('x', 'х')
                    .replace('a', 'а')
                    .replace('r', 'г')
                    .replace('m', 'м')
                    .replace('u', 'и')
                    .replace('n', 'п')
                    .replace('p', 'р'))
    
    return text